# ssh-ident-ruby
:space_invader: minimal ssh-ident version ported to ruby  
based on idea of ssh-ident: https://github.com/ccontavalli/ssh-ident (see https://github.com/ccontavalli/ssh-ident/blob/master/LICENSE)

## Why not just use the original ssh-ident?
This will be included in the [beekeeper](https://github.com/mirceal/beekeeper) hives located here: [beehives](https://github.com/mirceal/beehives).  
I do not want to take on the extra dependency on python.

Current ruby version does not support: 
  
  * automatically detecting the identity (via args or cwd) this has to be set via SSH_IDENTITY env variable
  * running commands through ssh-ident. Usage pattern is to set identity, run this script and source the output.
 
Current ruby version does support:  
  
  * working with pem files directly


